From: "Aaron Bauman" <bman@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: gui-wm/sway/
Date: Wed, 11 Nov 2020 17:03:25 +0000 (UTC) [thread overview]
Message-ID: <1605114192.6b78bcb50adbc7dd16d3a5dcdc4cb04b04877b85.bman@gentoo> (raw)
commit: 6b78bcb50adbc7dd16d3a5dcdc4cb04b04877b85
Author: Haelwenn (lanodan) Monnier <contact <AT> hacktivis <DOT> me>
AuthorDate: Sun Sep 13 12:10:24 2020 +0000
Commit: Aaron Bauman <bman <AT> gentoo <DOT> org>
CommitDate: Wed Nov 11 17:03:12 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6b78bcb5
gui-wm/sway: Add support for seatd
Signed-off-by: Haelwenn (lanodan) Monnier <contact <AT> hacktivis.me>
Closes: https://github.com/gentoo/gentoo/pull/17521
Signed-off-by: Aaron Bauman <bman <AT> gentoo.org>
gui-wm/sway/metadata.xml | 1 +
gui-wm/sway/sway-9999.ebuild | 12 ++++++------
2 files changed, 7 insertions(+), 6 deletions(-)
diff --git a/gui-wm/sway/metadata.xml b/gui-wm/sway/metadata.xml
index a7e99512051..f4fdcc1510d 100644
--- a/gui-wm/sway/metadata.xml
+++ b/gui-wm/sway/metadata.xml
@@ -29,6 +29,7 @@
<flag name="elogind">Enable support for rootless session via elogind</flag>
<flag name="fish-completion">Enable fish completion support</flag>
<flag name="man">Build and install man pages</flag>
+ <flag name="seatd">Enable support for rootless session via <pkg>sys-auth/seatd</pkg></flag>
<flag name="swaybar">Install 'swaybar': sway's status bar component</flag>
<flag name="swaybg">Install 'swaybg': allows to set a desktop background image</flag>
<flag name="swayidle">Install 'swayidle': idle manager to run commands when user is inactive</flag>
diff --git a/gui-wm/sway/sway-9999.ebuild b/gui-wm/sway/sway-9999.ebuild
index 336a2ad2f6d..12347f7a6fc 100644
--- a/gui-wm/sway/sway-9999.ebuild
+++ b/gui-wm/sway/sway-9999.ebuild
@@ -20,7 +20,7 @@ fi
LICENSE="MIT"
SLOT="0"
-IUSE="elogind fish-completion +man +swaybar +swaybg +swayidle +swaylock +swaymsg +swaynag systemd tray wallpapers X zsh-completion"
+IUSE="elogind fish-completion +man +swaybar +swaybg +swayidle +swaylock +swaymsg +swaynag seatd systemd tray wallpapers X zsh-completion"
REQUIRED_USE="?? ( elogind systemd )
tray? ( || ( elogind systemd ) )"
@@ -44,11 +44,11 @@ DEPEND="
X? ( x11-libs/libxcb:0= )
"
if [[ ${PV} == 9999 ]]; then
- DEPEND+="~gui-libs/wlroots-9999:=[elogind=,systemd=,X=]"
+ DEPEND+="~gui-libs/wlroots-9999:=[elogind=,seatd=,systemd=,X=]"
else
DEPEND+="
- >=gui-libs/wlroots-0.11.0:=[elogind=,systemd=,X=]
- <gui-libs/wlroots-0.12.0:=[elogind=,systemd=,X=]
+ >=gui-libs/wlroots-0.11.0:=[elogind=,seatd=,systemd=,X=]
+ <gui-libs/wlroots-0.12.0:=[elogind=,seatd=,systemd=,X=]
"
fi
RDEPEND="
@@ -99,14 +99,14 @@ src_configure() {
}
pkg_preinst() {
- if ! use systemd && ! use elogind; then
+ if ! use systemd && ! use elogind && ! use seatd; then
fowners root:0 /usr/bin/sway
fperms 4511 /usr/bin/sway
fi
}
pkg_postinst() {
- if ! use systemd && ! use elogind; then
+ if ! use systemd && ! use elogind && ! use seatd; then
elog ""
elog "If you use ConsoleKit2, remember to launch sway using:"
elog "exec ck-launch-session sway"
next reply other threads:[~2020-11-11 17:03 UTC|newest]
Thread overview: 112+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-11-11 17:03 Aaron Bauman [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-12 22:16 [gentoo-commits] repo/gentoo:master commit in: gui-wm/sway/ Sam James
2025-03-12 21:37 Sam James
2025-03-12 21:34 Sam James
2025-01-27 18:31 Arthur Zamarin
2024-11-08 15:15 Matthew Thode
2024-11-08 15:15 Matthew Thode
2024-05-25 14:55 Matthew Thode
2024-05-23 18:01 Matt Turner
2024-05-04 18:22 Arthur Zamarin
2024-04-26 2:04 Matthew Thode
2024-04-25 2:28 Matthew Thode
2024-04-20 14:26 Matthew Thode
2024-03-18 16:03 Matthew Thode
2024-03-03 2:27 Sam James
2024-02-25 7:16 Sam James
2024-02-25 2:52 Jakov Smolić
2024-02-24 19:10 Matthew Thode
2024-02-24 19:07 Arthur Zamarin
2024-02-24 19:06 Arthur Zamarin
2024-02-18 23:10 Matthew Thode
2024-02-10 15:45 Matthew Thode
2024-01-27 20:24 Matthew Thode
2024-01-01 20:35 Sam James
2024-01-01 20:21 Matthew Thode
2023-09-01 17:05 Arthur Zamarin
2023-05-27 15:29 Sam James
2023-04-13 1:36 Matthew Thode
2023-03-12 22:29 Matthew Thode
2023-02-25 17:45 Matthew Thode
2023-02-13 3:18 Matthew Thode
2023-01-25 20:46 Matthew Thode
2022-12-30 4:10 Matthew Thode
2022-12-25 18:51 Matthew Thode
2022-10-09 16:44 Matthew Thode
2022-07-23 20:41 Matthew Thode
2022-07-08 15:29 Matthew Thode
2022-07-08 15:29 Matthew Thode
2022-05-26 5:39 WANG Xuerui
2022-05-26 5:39 WANG Xuerui
2022-05-17 5:59 Sam James
2022-03-25 14:02 Matthew Thode
2022-03-25 14:02 Matthew Thode
2022-03-25 14:00 Matthew Thode
2022-02-22 19:47 Matthew Thode
2022-01-23 1:14 Matthew Thode
2021-12-25 4:31 Matthew Thode
2021-10-11 15:24 Matthew Thode
2021-08-24 16:00 Matthew Thode
2021-08-11 2:05 Sam James
2021-07-31 0:18 Sam James
2021-07-24 20:26 Matthew Thode
2021-07-21 2:22 Yixun Lan
2021-06-25 16:03 Matthew Thode
2021-06-09 18:13 Matthew Thode
2021-05-09 18:00 Matthew Thode
2021-04-22 19:55 Matthew Thode
2021-04-08 15:45 Matthew Thode
2021-02-09 22:59 Matthew Thode
2021-01-24 22:58 Matthew Thode
2021-01-21 19:06 Matthew Thode
2021-01-14 16:45 Matthew Thode
2020-12-19 21:55 Matthew Thode
2020-12-11 18:02 Matthew Thode
2020-11-11 20:28 Aaron Bauman
2020-11-11 17:24 Aaron Bauman
2020-11-11 17:24 Aaron Bauman
2020-11-10 18:26 Aaron Bauman
2020-09-30 18:35 Matthew Thode
2020-09-30 15:56 Matthew Thode
2020-09-15 16:29 Matthew Thode
2020-07-25 19:33 Sam James
2020-07-25 11:16 Sam James
2020-07-16 14:50 Matthew Thode
2020-06-30 20:08 Matthew Thode
2020-06-28 0:07 Aaron Bauman
2020-06-27 20:58 Matthew Thode
2020-06-18 19:00 Matthew Thode
2020-06-09 21:17 Matthew Thode
2020-05-29 15:07 Matthew Thode
2020-02-22 21:39 Matthew Thode
2020-02-22 21:39 Matthew Thode
2020-01-24 4:19 Georgy Yakovlev
2020-01-24 4:19 Georgy Yakovlev
2020-01-22 22:20 Matthew Thode
2020-01-22 22:20 Matthew Thode
2020-01-12 1:16 Matthew Thode
2020-01-11 20:02 Matthew Thode
2019-09-27 18:12 Matthew Thode
2019-09-27 18:12 Matthew Thode
2019-08-28 17:37 Matthew Thode
2019-08-27 16:03 Matthew Thode
2019-07-24 3:23 Aaron Bauman
2019-06-27 15:25 Matthew Thode
2019-06-03 15:03 Matthew Thode
2019-06-03 15:03 Matthew Thode
2019-05-29 20:45 Aaron Bauman
2019-05-21 16:57 Matthew Thode
2019-05-11 18:18 Matthew Thode
2019-05-03 18:33 Matthew Thode
2019-05-03 18:33 Matthew Thode
2019-04-30 3:35 Matthew Thode
2019-04-24 23:11 Thomas Deutschmann
2019-04-10 5:03 Aaron Bauman
2019-04-10 3:01 Aaron Bauman
2019-03-29 21:24 Aaron Bauman
2019-03-12 13:49 Matthew Thode
2019-03-04 21:35 Matthew Thode
2019-02-28 15:51 Matthew Thode
2019-02-26 1:04 Matthew Thode
2019-02-22 22:54 Aaron Bauman
2019-02-22 22:54 Aaron Bauman
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1605114192.6b78bcb50adbc7dd16d3a5dcdc4cb04b04877b85.bman@gentoo \
--to=bman@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox